-- ************************************ LiceChair ************************************ --
LiceChair = deriveLuaClass("LiceChair", "WorkStation")

function LiceChair:init(desc)
	LiceChair.superInit(desc)
	self.spatulaPatientAnimation = desc.spatulaPatientAnimation or "SPATULA"
end

function LiceChair:onTreatmentStart(task)
	local character = self:getOccupant(0)
	if (character) then
		if (character.curStepValue == "SPATULA") then
			character:playAnimation(self.spatulaPatientAnimation)
		end
	end
end

function LiceChair:onWorkFinish(task)
	LiceChair.super.onWorkFinish(self, task)
	self:getOccupant(0):playAnimation(self.stationAnimation, -1, nil, self.stationAnimationFrameTime)
end